Package org.gradle.language.swift.plugins

# Class SwiftLibraryPlugin

java.lang.Object
org.gradle.language.swift.plugins.SwiftLibraryPlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating public class SwiftLibraryPlugin extends Object implements Plugin<Project>

A plugin that produces a shared library from Swift source.

Adds compile, link and install tasks to build the shared library. Defaults to looking for source files in `src/main/swift`.

Adds a `SwiftComponent` extension to the project to allow configuration of the library.

Since:
  4.2

## Constructor Summary

Constructors
Constructor
Description
`SwiftLibraryPlugin(org.gradle.api.internal.file.FileOperations fileOperations)`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project project)`
Apply this plugin to the given target object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SwiftLibraryPlugin

@Inject public SwiftLibraryPlugin(org.gradle.api.internal.file.FileOperations fileOperations)

## Method Details

### apply

public void apply(Project project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `project` - The target object